CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
HumanMetadataField Class Reference

Given a metadata field, this class returns human-readable values for each value of the field. More...

## Public Member Functions
| __construct (MetadataField $Field)
| Save the field that will be used to generate the human-readable values. More...
| Status ()
| Get the human-readable error status of the field. More...
| Type ()
| Get the human-readable field type of the field. More...
| TypeAsName ()
| Get the human-readable field type of the field. More...
| GetDisplayName ()
| Get the human-readable display name of the field. More...
| Name ()
| Get the human-readable name of the field. More...
| Label ()
| Get the human-readable label of the field. More...
| GetAllowedConversionTypes ()
| Get the human-readable allowed conversion types of the field. More...
| IsTempItem ()
| Get the human-readable string that indicates if the field is a temporary field. More...
| Id ()
| Get the human-readable field ID. More...
| DBFieldName ()
| Get the human-readable database field name of the field. More...
| Description ()
| Get the human-readable description of the field. More...
| Instructions ()
| Get the human-readable instructions of the field. More...
| Owner ()
| Get the human-readable field owner. More...
| RequiredBySPT ()
| Get the human-readable string that indicates if the field is required by SPT. More...
| Enabled ()
| Get the human-readable string that indicates if the field is enabled. More...
| Optional ()
| Get the human-readable string that indicates if the field is optional. More...
| Editable ()
| Get the human-readable string that indicates if the field is editable. More...
| Viewable ()
| Get the human-readable string that indicates if the field is viewable. More...
| AllowMultiple ()
| Get the human-readable string that indicates if multiple field values are permitted. More...
| IncludeInKeywordSearch ()
| Get the human-readable string that indicates if the field is included in keyword searches. More...
| IncludeInAdvancedSearch ()
| Get the human-readable string that indicates if the field is included in advanced search options. More...
| IncludeInFacetedSearch ()
| Get the human-readable string that indicates if the field is included in faceted search options. More...
| IncludeInSortOptions ()
| Get the human-readable string that indicates if the field is included in sort options. More...
| IncludeInRecommender ()
| Get the human-readable string that indicates if the field is included in the recommender system. More...
| TextFieldSize ()
| Get the human-readable size of text field inputs. More...
| MaxLength ()
| Get the human-readable maximum size of text field values. More...
| ParagraphRows ()
| Get the human-readable number of rows of paragraph field inputs. More...
| ParagraphCols ()
| Get the human-readable number of columns of paragraph field inputs. More...
| MinValue ()
| Get the human-readable minimum value for number fields. More...
| MaxValue ()
| Get the human-readable maximum value for number fields. More...
| FlagOnLabel ()
| Get the human-readable flag-on label for flag fields. More...
| FlagOffLabel ()
| Get the human-readable flag-off label for flag fields. More...
| DateFormat ()
| Get the human-readable field date format. More...
| SearchWeight ()
| Get the human-readable search weight of the field. More...
| RecommenderWeight ()
| Get the human-readable recommender weight of the field. More...
| MaxHeight ()
| Get the human-readable maximum height of images of image fields. More...
| MaxWidth ()
| Get the human-readable maximum width of images of image fields. More...
| MaxPreviewHeight ()
| Get the human-readable maximum height of preview images of image fields. More...
| MaxPreviewWidth ()
| Get the human-readable maximum width of preview images of image fields. More...
| MaxThumbnailHeight ()
| Get the human-readable maximum height of thumbnail images of image fields. More...
| MaxThumbnailWidth ()
| Get the human-readable maximum width of thumbnail images of image fields. More...
| DefaultAltText ()
| Get the human-readable default alternate text of images of image fields. More...
| UsesQualifiers ()
| Get the human-readable string indicating if the field uses qualifiers. More...
| ShowQualifiers ()
| Get the human-readable string indicating if qualifiers are shown for the field. More...
| DefaultQualifier ()
| Get the human-readable default qualifier of the field. More...
| AllowHTML ()
| Get the human-readable string indicating if HTML is allowed as the value. More...
| UseWysiwygEditor ()
| Get the human-readable string indicating if a WYSIWYG editor should be used when editing the field value. More...
| UseForOaiSets ()
| Get the human-readable string indicating if the field should be used for OAI sets. More...
| NumAjaxResults ()
| Get the human-readable number of AJAX search results to display for the field. More...
| ViewingPrivilege ()
| Get the human-readable viewing privilege of the field. More...
| AuthoringPrivilege ()
| Get the human-readable authoring privilege of the field. More...
| EditingPrivilege ()
| Get the human-readable editing privilege of the field. More...
| ImagePreviewPrivilege ()
| THIS FUNCTION HAS BEEN DEPRECATED Get the human-readable image preview privilege of image fields. More...
| EnableOnOwnerReturn ()
| Get the human-readable string indicating if the field should be enabled when the owner/plugin is available. More...
| ViewingUserIsValue ()
| Get the human-readable viewing user is value of the field. More...
| AuthoringUserIsValue ()
| Get the human-readable authoring user is value of the field. More...
| EditingUserIsValue ()
| Get the human-readable editing user is value of the field. More...
| ViewingUserValue ()
| Get the human-readable viewing user value of the field. More...
| AuthoringUserValue ()
| Get the human-readable authoring user value of the field. More...
| EditingUserValue ()
| Get the human-readable editing user value of the field. More...
| UserPrivilegeRestrictions ()
| Get the human-readable user privilege restrictions of user fields. More...
| PointPrecision ()
| Get the human-readable point precision of point fields. More...
| PointDecimalDigits ()
| Get the human-readable point decimal digits of point fields. More...
| DefaultValue ()
| Get the human-readable default value of the field. More...
| UpdateMethod ()
| Get the human-readable update method of the field. More...
| GetPossibleValues ()
| Get the human-readable possible values of the field. More...
| GetCountOfPossibleValues ()
| Get the human-readable count of possible values of the field. More...
| HasItemLevelQualifiers ()
| Get the human-readable string that indicates if the field has item-level qualifiers. More...
| AssociatedQualifierList ()
| Get the human-readable list of associated qualifiers of the field. More...
| UnassociatedQualifierList ()
| Get the human-readable list of unassociated qualifiers of the field. More...
| GetViewingPrivilegeString ()
| Get the human-readable viewing privilege string that includes the viewing privilege required, along with the the "user is value ..." setting. More...
| GetAuthoringPrivilegeString ()
| Get the human-readable authoring privilege string that includes the authoring privilege required, along with the the "user is value ..." setting. More...
| GetEditingPrivilegeString ()
| Get the human-readable editing privilege string that includes the editing privilege required, along with the the "user is value ..." setting. More...
| GetNotSetText ()
| Get the text that is used when a value is not set. More...
| SetNotSetText ($Text)
| Set the text that is used when a value is not set. More...

## Protected Member Functions
| GetYesNo ($Value)
| Get the human-readable string for a boolean-like value. More...
| GetValueCheckingLength ($Value)
| Get the value or the not-set text depending on the length of the value. More...
| GetPrivilegeString ($Mode)
| This method makes getting privilege strings for viewing, authoring, and editing a little more convenient. More...
| MapPrivilege ($Value)
| Map a privilege value to a privilege name. More...
| LoadPrivilegeList ()
| Load the static privilege list. More...
| MapUserIsValue ($Value)
| Map a UserIsValue value to a name. More...
| MapUserValue ($Value)
| Map a UserValue value to a field display name. More...
| LoadUserFieldList ()
| Load the static user field list. More...
| GetArrayValue (array $Array, $Key, $Default=NULL)
| Get the value from an array with a given index or a default value if it does not exist. More...

## Protected Attributes
| $Field
| The metadata field that is having its values returned in human-readable form. More...
| $NotSetText = "--"
| The text used when a value is not set. More...

## Static Protected Attributes
static | $PrivilegeList
| A static array of privilege values and names. More...
static | $UserIsValueList
| A static array of UserIsValue strings. More...
static | $UserFieldList
| A static array of user fields. More...

## Detailed Description

Given a metadata field, this class returns human-readable values for each value of the field.

Definition at line 14 of file HumanMetadataField.php.

## Constructor & Destructor Documentation

HumanMetadataField::__construct | ( | MetadataField | $Field | ) |

Save the field that will be used to generate the human-readable values.

Parameters

  MetadataField | $Field | Metadata field.

Definition at line 21 of file HumanMetadataField.php.

References $Field.

## Member Function Documentation

HumanMetadataField::AllowHTML | ( |  | ) |

Get the human-readable string indicating if HTML is allowed as the value.

Returns
  string Human-readable string indicating if HTML is allowed as the value.

Definition at line 500 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::AllowMultiple | ( |  | ) |

Get the human-readable string that indicates if multiple field values are permitted.

Returns
  string Human-readable string indicating if multiple field values are permitted

Definition at line 228 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::AssociatedQualifierList | ( |  | ) |

Get the human-readable list of associated qualifiers of the field.

Returns
  string Human-readable list of associated field qualifiers

Definition at line 807 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::AuthoringPrivilege | ( |  | ) |

Get the human-readable authoring privilege of the field.

Returns
  string Human-readable field authoring privilege.

Definition at line 552 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::AuthoringUserIsValue | ( |  | ) |

Get the human-readable authoring user is value of the field.

Returns
  string Human-readable authoring user is value of the field.

Definition at line 609 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserIsValue().

HumanMetadataField::AuthoringUserValue | ( |  | ) |

Get the human-readable authoring user value of the field.

Returns
  string Human-readable authoring user value of the field.

Definition at line 642 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserValue().

HumanMetadataField::DateFormat | ( |  | ) |

Get the human-readable field date format.

Returns
  string Human-readable field date format

Definition at line 364 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::DBFieldName | ( |  | ) |

Get the human-readable database field name of the field.

Returns
  string Human-readable database field name

Definition at line 134 of file HumanMetadataField.php.

HumanMetadataField::DefaultAltText | ( |  | ) |

Get the human-readable default alternate text of images of image fields.

Returns
  string Human-readable default alternate text of images of image fields.

Definition at line 451 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::DefaultQualifier | ( |  | ) |

Get the human-readable default qualifier of the field.

Returns
  string Human-readable default qualifier of the field.

Definition at line 481 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::DefaultValue | ( |  | ) |

Get the human-readable default value of the field.

Returns
  string Human-readable default value of the field.

Definition at line 700 of file HumanMetadataField.php.

References $NotSetText, FlagOffLabel(), FlagOnLabel(), GetValueCheckingLength(), MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_OPTION, and MetadataSchema\MDFTYPE_POINT.

HumanMetadataField::Description | ( |  | ) |

Get the human-readable description of the field.

Returns
  string Human-readable field description

Definition at line 143 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::Editable | ( |  | ) |

Get the human-readable string that indicates if the field is editable.

Returns
  string Human-readable string indicating if the field is editable

Definition at line 208 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::EditingPrivilege | ( |  | ) |

Get the human-readable editing privilege of the field.

Returns
  string Human-readable field editing privilege.

Definition at line 563 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::EditingUserIsValue | ( |  | ) |

Get the human-readable editing user is value of the field.

Returns
  string Human-readable editing user is value of the field.

Definition at line 620 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserIsValue().

HumanMetadataField::EditingUserValue | ( |  | ) |

Get the human-readable editing user value of the field.

Returns
  string Human-readable editing user value of the field.

Definition at line 653 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserValue().

HumanMetadataField::Enabled | ( |  | ) |

Get the human-readable string that indicates if the field is enabled.

Returns
  string Human-readable string indicating if the field is enabled

Definition at line 190 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::EnableOnOwnerReturn | ( |  | ) |

Get the human-readable string indicating if the field should be enabled when the owner/plugin is available.

Returns
  string Human-readable string indicating if the field should be enabled when the owner returns.

Definition at line 589 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::FlagOffLabel | ( |  | ) |

Get the human-readable flag-off label for flag fields.

Returns
  string Human-readable flag-off label for flag fields

Definition at line 355 of file HumanMetadataField.php.

References GetValueCheckingLength().

Referenced by DefaultValue().

Here is the caller graph for this function:

HumanMetadataField::FlagOnLabel | ( |  | ) |

Get the human-readable flag-on label for flag fields.

Returns
  string Human-readable flag-on label for flag fields

Definition at line 346 of file HumanMetadataField.php.

References GetValueCheckingLength().

Referenced by DefaultValue().

Here is the caller graph for this function:

HumanMetadataField::GetAllowedConversionTypes | ( |  | ) |

Get the human-readable allowed conversion types of the field.

Returns
  string Human-readable allowed conversion types of the field

Definition at line 104 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::GetArrayValue | ( | array | $Array,
|  |  | $Key,
|  |  | $Default = `NULL`
| ) |  |
| protected

Get the value from an array with a given index or a default value if it does not exist.

Parameters

  array | $Array | Array to check.
  mixed | $Key | Index of the value to retrieve.
  mixed | $Default | Value to return if the value does not exist. (OPTIONAL, defaults to NULL)

Returns
  mixed The value at the given index or the default value if it doesn't exist.

Definition at line 1011 of file HumanMetadataField.php.

Referenced by MapPrivilege(), MapUserIsValue(), MapUserValue(), and UpdateMethod().

Here is the caller graph for this function:

HumanMetadataField::GetAuthoringPrivilegeString | ( |  | ) |

Get the human-readable authoring privilege string that includes the authoring privilege required, along with the the "user is value ..." setting.

Returns
  string Human-readable authoring privilege string

Definition at line 841 of file HumanMetadataField.php.

References GetPrivilegeString().

HumanMetadataField::GetCountOfPossibleValues | ( |  | ) |

Get the human-readable count of possible values of the field.

This is only meaningful for Tree, ControlledName, Option, Flag, and User fields.

Returns
  string Human-readable count of possible values of the field

Definition at line 787 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::GetDisplayName | ( |  | ) |

Get the human-readable display name of the field.

Returns
  string Human-readable display name of the field

Definition at line 77 of file HumanMetadataField.php.

HumanMetadataField::GetEditingPrivilegeString | ( |  | ) |

Get the human-readable editing privilege string that includes the editing privilege required, along with the the "user is value ..." setting.

Returns
  string Human-readable editing privilege string

Definition at line 851 of file HumanMetadataField.php.

References GetPrivilegeString().

HumanMetadataField::GetNotSetText | ( |  | ) |

Get the text that is used when a value is not set.

Returns
  string text used when a value is not set

Definition at line 860 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::GetPossibleValues | ( |  | ) |

Get the human-readable possible values of the field.

This is only meaningful for Tree, ControlledName, Option, Flag, and User fields.

Returns
  string Human-readable possible values of the field

Definition at line 775 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::GetPrivilegeString | ( |  | $Mode | ) |
| protected

This method makes getting privilege strings for viewing, authoring, and editing a little more convenient.

Parameters

  string | $Mode | Should be one of "Viewing", "Authoring", or "Editing".

Returns
  string Human-readable privilege string

Definition at line 901 of file HumanMetadataField.php.

References MapPrivilege().

Referenced by GetAuthoringPrivilegeString(), GetEditingPrivilegeString(), and GetViewingPrivilegeString().

Here is the caller graph for this function:

HumanMetadataField::GetValueCheckingLength | ( |  | $Value | ) |
| protected

Get the value or the not-set text depending on the length of the value.

Parameters

  string | $Value | Value to check.

Returns
  string the value if the string length is greater than zero or the not-set text if it is zero

Definition at line 890 of file HumanMetadataField.php.

References $NotSetText.

Referenced by AuthoringPrivilege(), AuthoringUserIsValue(), AuthoringUserValue(), DateFormat(), DefaultAltText(), DefaultValue(), Description(), EditingPrivilege(), EditingUserIsValue(), EditingUserValue(), FlagOffLabel(), FlagOnLabel(), GetCountOfPossibleValues(), ImagePreviewPrivilege(), Instructions(), Label(), MaxHeight(), MaxLength(), MaxPreviewHeight(), MaxPreviewWidth(), MaxThumbnailHeight(), MaxThumbnailWidth(), MaxValue(), MaxWidth(), MinValue(), Owner(), ParagraphCols(), ParagraphRows(), PointDecimalDigits(), PointPrecision(), RecommenderWeight(), SearchWeight(), TextFieldSize(), UpdateMethod(), ViewingPrivilege(), ViewingUserIsValue(), and ViewingUserValue().

Here is the caller graph for this function:

HumanMetadataField::GetViewingPrivilegeString | ( |  | ) |

Get the human-readable viewing privilege string that includes the viewing privilege required, along with the the "user is value ..." setting.

Returns
  string Human-readable viewing privilege string

Definition at line 830 of file HumanMetadataField.php.

References GetPrivilegeString().

HumanMetadataField::GetYesNo | ( |  | $Value | ) |
| protected

Get the human-readable string for a boolean-like value.

Parameters

  mixed | $Value | Boolean-like value.

Returns
  string the human-readable string for the value

Definition at line 879 of file HumanMetadataField.php.

Referenced by AllowHTML(), AllowMultiple(), Editable(), Enabled(), EnableOnOwnerReturn(), HasItemLevelQualifiers(), IncludeInAdvancedSearch(), IncludeInFacetedSearch(), IncludeInKeywordSearch(), IncludeInRecommender(), IncludeInSortOptions(), IsTempItem(), Optional(), RequiredBySPT(), ShowQualifiers(), UseForOaiSets(), UsesQualifiers(), UseWysiwygEditor(), and Viewable().

Here is the caller graph for this function:

HumanMetadataField::HasItemLevelQualifiers | ( |  | ) |

Get the human-readable string that indicates if the field has item-level qualifiers.

Returns
  string Human-readable string indicating if the field has item-level qualifiers

Definition at line 798 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Id | ( |  | ) |

Get the human-readable field ID.

Returns
  string Human-readable field ID

Definition at line 125 of file HumanMetadataField.php.

HumanMetadataField::ImagePreviewPrivilege | ( |  | ) |

THIS FUNCTION HAS BEEN DEPRECATED Get the human-readable image preview privilege of image fields.

Returns
  string Human-readable image preview privilege of image fields.

Deprecated:

Definition at line 576 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::IncludeInAdvancedSearch | ( |  | ) |

Get the human-readable string that indicates if the field is included in advanced search options.

Returns
  string Human-readable string indicating if the field is included in advanced search options

Definition at line 250 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInFacetedSearch | ( |  | ) |

Get the human-readable string that indicates if the field is included in faceted search options.

Returns
  Returns the human-readable string indicating if the field is included in faceted search options.

Definition at line 261 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInKeywordSearch | ( |  | ) |

Get the human-readable string that indicates if the field is included in keyword searches.

Returns
  string Human-readable string indicating if the field is included in keyword searches

Definition at line 239 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInRecommender | ( |  | ) |

Get the human-readable string that indicates if the field is included in the recommender system.

Returns
  string Human-readable string indicating if the field is included in the recommender system

Definition at line 283 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInSortOptions | ( |  | ) |

Get the human-readable string that indicates if the field is included in sort options.

Returns
  string Human-readable string indicating if the field is included in sort options

Definition at line 272 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Instructions | ( |  | ) |

Get the human-readable instructions of the field.

Returns
  string Human-readable field instructions

Definition at line 157 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::IsTempItem | ( |  | ) |

Get the human-readable string that indicates if the field is a temporary field.

Returns
  string Human-readable string indicating if the field is temporary

Definition at line 116 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Label | ( |  | ) |

Get the human-readable label of the field.

Returns
  string Human-readable field label

Definition at line 95 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::LoadPrivilegeList | ( |  | ) |
| protected

Load the static privilege list.

Definition at line 951 of file HumanMetadataField.php.

Referenced by MapPrivilege().

Here is the caller graph for this function:

HumanMetadataField::LoadUserFieldList | ( |  | ) |
| protected

Load the static user field list.

Definition at line 986 of file HumanMetadataField.php.

References $Field, MetadataSchema\GetFields(), and MetadataSchema\MDFTYPE_USER.

Referenced by MapUserValue().

Here is the caller graph for this function:

HumanMetadataField::MapPrivilege | ( |  | $Value | ) |
| protected

Map a privilege value to a privilege name.

Parameters

  string | int | $Value | Privilege value.

Returns
  string Privilege name.

Definition at line 938 of file HumanMetadataField.php.

References GetArrayValue(), and LoadPrivilegeList().

Referenced by AuthoringPrivilege(), EditingPrivilege(), GetPrivilegeString(), ImagePreviewPrivilege(), UserPrivilegeRestrictions(), and ViewingPrivilege().

Here is the caller graph for this function:

HumanMetadataField::MapUserIsValue | ( |  | $Value | ) |
| protected

Map a UserIsValue value to a name.

Parameters

  int | $Value | UserIsValue value

Returns
  string UserIsValue name

Definition at line 963 of file HumanMetadataField.php.

References GetArrayValue().

Referenced by AuthoringUserIsValue(), EditingUserIsValue(), and ViewingUserIsValue().

Here is the caller graph for this function:

HumanMetadataField::MapUserValue | ( |  | $Value | ) |
| protected

Map a UserValue value to a field display name.

Parameters

  int | $Value | UserValue value

Returns
  string user field display name

Definition at line 973 of file HumanMetadataField.php.

References GetArrayValue(), and LoadUserFieldList().

Referenced by AuthoringUserValue(), EditingUserValue(), and ViewingUserValue().

Here is the caller graph for this function:

HumanMetadataField::MaxHeight | ( |  | ) |

Get the human-readable maximum height of images of image fields.

Returns
  string Human-readable maximum height of images of image fields

Definition at line 391 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxLength | ( |  | ) |

Get the human-readable maximum size of text field values.

Returns
  string Human-readable maximum size of text field values

Definition at line 301 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxPreviewHeight | ( |  | ) |

Get the human-readable maximum height of preview images of image fields.

Returns
  string Human-readable maximum height of preview images of image fields

Definition at line 410 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxPreviewWidth | ( |  | ) |

Get the human-readable maximum width of preview images of image fields.

Returns
  string Human-readable maximim width of preview images of image fields

Definition at line 420 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxThumbnailHeight | ( |  | ) |

Get the human-readable maximum height of thumbnail images of image fields.

Returns
  string Human-readable maximum height of thumbnail images of image fields

Definition at line 431 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxThumbnailWidth | ( |  | ) |

Get the human-readable maximum width of thumbnail images of image fields.

Returns
  string Human-readable maximum width of thumbnail images of image fields

Definition at line 441 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxValue | ( |  | ) |

Get the human-readable maximum value for number fields.

Returns
  string Human-readable maximum value for number fields

Definition at line 337 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxWidth | ( |  | ) |

Get the human-readable maximum width of images of image fields.

Returns
  string Human-readable maximum width of images of image fields

Definition at line 400 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MinValue | ( |  | ) |

Get the human-readable minimum value for number fields.

Returns
  string Human-readable minimum value for number fields

Definition at line 328 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::Name | ( |  | ) |

Get the human-readable name of the field.

Returns
  string Human-readable field name

Definition at line 86 of file HumanMetadataField.php.

HumanMetadataField::NumAjaxResults | ( |  | ) |

Get the human-readable number of AJAX search results to display for the field.

Returns
  string Human-readable number of AJAX search results to display.

Definition at line 532 of file HumanMetadataField.php.

HumanMetadataField::Optional | ( |  | ) |

Get the human-readable string that indicates if the field is optional.

Returns
  string Human-readable string indicating if the field is optional

Definition at line 199 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Owner | ( |  | ) |

Get the human-readable field owner.

Returns
  string Human-readable field owner

Definition at line 171 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::ParagraphCols | ( |  | ) |

Get the human-readable number of columns of paragraph field inputs.

Returns
  string Human-readable number of columns of paragraph field inputs

Definition at line 319 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::ParagraphRows | ( |  | ) |

Get the human-readable number of rows of paragraph field inputs.

Returns
  string Human-readable number of rows of paragraph field inputs

Definition at line 310 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::PointDecimalDigits | ( |  | ) |

Get the human-readable point decimal digits of point fields.

Returns
  string Human-readable point decimal digits of point fields.

Definition at line 691 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::PointPrecision | ( |  | ) |

Get the human-readable point precision of point fields.

Returns
  string Human-readable point precision of point fields.

Definition at line 682 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::RecommenderWeight | ( |  | ) |

Get the human-readable recommender weight of the field.

Returns
  string Human-readable field recommender weight

Definition at line 382 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::RequiredBySPT | ( |  | ) |

Get the human-readable string that indicates if the field is required by SPT.

Returns
  string Human-readable string indicating if SPT requires the field

Definition at line 181 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::SearchWeight | ( |  | ) |

Get the human-readable search weight of the field.

Returns
  string Human-readable field search weight

Definition at line 373 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::SetNotSetText | ( |  | $Text | ) |

Set the text that is used when a value is not set.

Parameters

  string | $Text | Text to be used when a value is not set.

Definition at line 869 of file HumanMetadataField.php.

HumanMetadataField::ShowQualifiers | ( |  | ) |

Get the human-readable string indicating if qualifiers are shown for the field.

Returns
  string Human-readable string indicating if qualifiers are shown for the field.

Definition at line 472 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Status | ( |  | ) |

Get the human-readable error status of the field.

Returns
  string Human-readable error status

Definition at line 30 of file HumanMetadataField.php.

References $NotSetText, MetadataSchema\MDFSTAT_DUPLICATEDBCOLUMN, MetadataSchema\MDFSTAT_DUPLICATELABEL, MetadataSchema\MDFSTAT_DUPLICATENAME, MetadataSchema\MDFSTAT_ERROR, MetadataSchema\MDFSTAT_FIELDDOESNOTEXIST, MetadataSchema\MDFSTAT_ILLEGALLABEL, MetadataSchema\MDFSTAT_ILLEGALNAME, and MetadataSchema\MDFSTAT_OK.

HumanMetadataField::TextFieldSize | ( |  | ) |

Get the human-readable size of text field inputs.

Returns
  string Human-readable size of text field inputs

Definition at line 292 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::Type | ( |  | ) |

Get the human-readable field type of the field.

Returns
  string Human-readable field type

Definition at line 59 of file HumanMetadataField.php.

References MetadataField\$FieldTypeDBEnums.

HumanMetadataField::TypeAsName | ( |  | ) |

Get the human-readable field type of the field.

Returns
  string Human-readable field type

Definition at line 68 of file HumanMetadataField.php.

HumanMetadataField::UnassociatedQualifierList | ( |  | ) |

Get the human-readable list of unassociated qualifiers of the field.

Returns
  string Human-readable list of unassociated field qualifiers

Definition at line 818 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::UpdateMethod | ( |  | ) |

Get the human-readable update method of the field.

Returns
  string Human-readable update method of the field

Definition at line 762 of file HumanMetadataField.php.

References MetadataField\$UpdateTypes, GetArrayValue(), and GetValueCheckingLength().

HumanMetadataField::UseForOaiSets | ( |  | ) |

Get the human-readable string indicating if the field should be used for OAI sets.

Returns
  string Human-readable string indicating if the field should be used for OAI sets.

Definition at line 522 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::UserPrivilegeRestrictions | ( |  | ) |

Get the human-readable user privilege restrictions of user fields.

Returns
  string Human-readable user privilege restrictions of user fields.

Definition at line 664 of file HumanMetadataField.php.

References $NotSetText, and MapPrivilege().

HumanMetadataField::UsesQualifiers | ( |  | ) |

Get the human-readable string indicating if the field uses qualifiers.

Returns
  string Human-readable string indicating if the field uses qualifiers.

Definition at line 461 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::UseWysiwygEditor | ( |  | ) |

Get the human-readable string indicating if a WYSIWYG editor should be used when editing the field value.

Returns
  string Human-readable string indicating if a WYSIWYG editor should be used when editing the field value.

Definition at line 511 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Viewable | ( |  | ) |

Get the human-readable string that indicates if the field is viewable.

Returns
  string Human-readable string indicating if the field is viewable

Definition at line 217 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::ViewingPrivilege | ( |  | ) |

Get the human-readable viewing privilege of the field.

Returns
  string Human-readable field viewing privilege.

Definition at line 541 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::ViewingUserIsValue | ( |  | ) |

Get the human-readable viewing user is value of the field.

Returns
  string Human-readable viewing user is value of the field.

Definition at line 598 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserIsValue().

HumanMetadataField::ViewingUserValue | ( |  | ) |

Get the human-readable viewing user value of the field.

Returns
  string Human-readable viewing user value of the field.

Definition at line 631 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserValue().

## Member Data Documentation

MetadataField HumanMetadataField::$Field
| protected

The metadata field that is having its values returned in human-readable form.

Definition at line 1021 of file HumanMetadataField.php.

Referenced by __construct(), and LoadUserFieldList().

string HumanMetadataField::$NotSetText = "--"
| protected

The text used when a value is not set.

Definition at line 1027 of file HumanMetadataField.php.

Referenced by AssociatedQualifierList(), DefaultQualifier(), DefaultValue(), GetAllowedConversionTypes(), GetNotSetText(), GetPossibleValues(), GetValueCheckingLength(), Status(), UnassociatedQualifierList(), and UserPrivilegeRestrictions().

array HumanMetadataField::$PrivilegeList
| staticprotected

A static array of privilege values and names.

Definition at line 1033 of file HumanMetadataField.php.

array HumanMetadataField::$UserFieldList
| staticprotected

A static array of user fields.

Definition at line 1047 of file HumanMetadataField.php.

array HumanMetadataField::$UserIsValueList
| staticprotected

Initial value:
= array(
MetadataField::USERISVALUE_OR => "or",
MetadataField::USERISVALUE_AND => "and")

A static array of UserIsValue strings.

Definition at line 1039 of file HumanMetadataField.php.

The documentation for this class was generated from the following file:

- objects/HumanMetadataField.php